PasswordRecipientInfo (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1.cms

## Class PasswordRecipientInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.PasswordRecipientInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PasswordRecipientInfo
      extends ASN1Object

  RFC 5652: Content encryption key delivery mechanisms.

       PasswordRecipientInfo ::= SEQUENCE {
           version       CMSVersion,   -- Always set to 0
           keyDerivationAlgorithm [0] KeyDerivationAlgorithmIdentifier
                                   OPTIONAL,
           keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
           encryptedKey  EncryptedKey }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordRecipientInfo(AlgorithmIdentifier keyDerivationAlgorithm, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`
    `PasswordRecipientInfo(AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`
    `PasswordRecipientInfo(ASN1Sequence seq)` Deprecated. use getInstance() method.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getEncryptedKey()`
    `static PasswordRecipientInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return a PasswordRecipientInfo object from a tagged object.
    `static PasswordRecipientInfo` | `getInstance(java.lang.Object obj)` Return a PasswordRecipientInfo object from the given object.
    `AlgorithmIdentifier` | `getKeyDerivationAlgorithm()`
    `AlgorithmIdentifier` | `getKeyEncryptionAlgorithm()`
    `ASN1Integer` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordRecipientInfo

          public PasswordRecipientInfo(AlgorithmIdentifier keyEncryptionAlgorithm,
                               ASN1OctetString encryptedKey)

    - #### PasswordRecipientInfo

          public PasswordRecipientInfo(AlgorithmIdentifier keyDerivationAlgorithm,
                               AlgorithmIdentifier keyEncryptionAlgorithm,
                               ASN1OctetString encryptedKey)

    - #### PasswordRecipientInfo

          public PasswordRecipientInfo(ASN1Sequence seq)

      Deprecated. use getInstance() method.

  - ### Method Detail

    - #### getInstance

          public static PasswordRecipientInfo getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

      Return a PasswordRecipientInfo object from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want.
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static PasswordRecipientInfo getInstance(java.lang.Object obj)

      Return a PasswordRecipientInfo object from the given object.

      Accepted inputs:

      - null → null
      - `PasswordRecipientInfo` object
      - `ASN1Sequence` input formats with PasswordRecipientInfo structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getKeyDerivationAlgorithm

          public AlgorithmIdentifier getKeyDerivationAlgorithm()

    - #### getKeyEncryptionAlgorithm

          public AlgorithmIdentifier getKeyEncryptionAlgorithm()

    - #### getEncryptedKey

          public ASN1OctetString getEncryptedKey()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.